## org.apache.commons.math3.geometry.partitioning
Class SubHyperplane.SplitSubHyperplane<U extends Space>

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane<U>

Type Parameters:
  `U` - Type of the embedding space.

Enclosing interface:
  SubHyperplane<S extends Space>

    public static class SubHyperplane.SplitSubHyperplane<U extends Space>

extends java.lang.Object

Class holding the results of the `split` method.

Field Summary
`private SubHyperplane<U>` `minus` Part of the sub-hyperplane on the minus side of the splitting hyperplane.
`private SubHyperplane<U>` `plus` Part of the sub-hyperplane on the plus side of the splitting hyperplane.

Constructor Summary
`SubHyperplane.SplitSubHyperplane(SubHyperplane<U> plus, SubHyperplane<U> minus)` Build a SplitSubHyperplane from its parts.

Method Summary
`SubHyperplane<U>` `getMinus()` Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.
`SubHyperplane<U>` `getPlus()` Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plus

    private final SubHyperplane<U extends Space> plus

  Part of the sub-hyperplane on the plus side of the splitting hyperplane.

### minus

    private final SubHyperplane<U extends Space> minus

  Part of the sub-hyperplane on the minus side of the splitting hyperplane.

Constructor Detail

### SubHyperplane.SplitSubHyperplane

    public SubHyperplane.SplitSubHyperplane(SubHyperplane<U> plus,
                                            SubHyperplane<U> minus)

  Build a SplitSubHyperplane from its parts.

  Parameters:
    `plus` - part of the sub-hyperplane on the plus side of the splitting hyperplane
    `minus` - part of the sub-hyperplane on the minus side of the splitting hyperplane

Method Detail

### getPlus

    public SubHyperplane<U> getPlus()

  Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.

  Returns:
    part of the sub-hyperplane on the plus side of the splitting hyperplane

### getMinus

    public SubHyperplane<U> getMinus()

  Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.

  Returns:
    part of the sub-hyperplane on the minus side of the splitting hyperplane

Copyright (c) 2003-2013 Apache Software Foundation